Bug 965605 - F19b RC2 Caught signal 11 (Segmentation fault). Server aborting with SIS VGA
F19b RC2 Caught signal 11 (Segmentation fault). Server aborting with SIS VGA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-21 08:03 EDT by Reartes Guillermo
Modified: 2015-02-17 10:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 10:17:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg log file (39.56 KB, text/plain)
2013-05-21 08:03 EDT, Reartes Guillermo
no flags Details
syslog (83.29 KB, text/plain)
2013-05-21 08:04 EDT, Reartes Guillermo
no flags Details
anaconda.log (2.16 KB, text/plain)
2013-05-21 08:04 EDT, Reartes Guillermo
no flags Details
program.log (14.55 KB, text/plain)
2013-05-21 08:05 EDT, Reartes Guillermo
no flags Details
storage.log (58.61 KB, text/plain)
2013-05-21 08:05 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2013-05-21 08:03:51 EDT
Created attachment 751083 [details]
xorg log file

Description of problem:

Xorg segfaults when trying to boot F19b RC2 with a SiS VGA.

Version-Release number of selected component (if applicable):
F19b RC2

How reproducible:

Steps to Reproduce:
1. Boot F19b RC2
2. Xorg starts, then the video mode apperas good for 2 of 3 seconds
3. Xorg segfaults, anaconda -> pane is dead

Actual results:
unable to install in normal video mode

Expected results:
boot in normal video mode

Additional info:

[    49.172] (EE) 
[    49.172] (EE) Backtrace:
[    49.180] (EE) 0: Xorg (OsLookupColor+0x129) [0x46e539]
[    49.181] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x7f1520a33f9f]
[    49.192] (EE) 2: /lib64/libc.so.6 (__memcpy_sse2+0xa0) [0x7f151f6dbbf0]
[    49.194] (EE) 3: /usr/lib64/xorg/modules/drivers/sis_drv.so (_init+0x23684) [0x7f151b7a9ba4]
[    49.194] (EE) 4: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x1287) [0x7f151ab0b9a7]
[    49.194] (EE) 5: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x1648) [0x7f151ab0c2d8]
[    49.196] (EE) 6: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x2214) [0x7f151ab0d364]
[    49.196] (EE) 7: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x227c) [0x7f151ab0db7c]
[    49.196] (EE) 8: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x48ef) [0x7f151ab1afaf]
[    49.198] (EE) 9: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x15ba) [0x7f151ab14cba]
[    49.198] (EE) 10: Xorg (DamageRegionAppend+0x592) [0x5206e2]
[    49.200] (EE) 11: Xorg (miGlyphs+0x413) [0x5101f3]
[    49.200] (EE) 12: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x4cc7) [0x7f151ab1bc47]
[    49.202] (EE) 13: Xorg (DamageRegionAppend+0x7e6) [0x520ba6]
[    49.202] (EE) 14: Xorg (AddTraps+0x408e) [0x51dd4e]
[    49.202] (EE) 15: Xorg (SendErrorToClient+0x3f7) [0x436e47]
[    49.204] (EE) 16: Xorg (_init+0x3ab2) [0x429ae2]
[    49.205] (EE) 17: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f151f66eb75]
[    49.207] (EE) 18: Xorg (_start+0x29) [0x426741]
[    49.208] (EE) 19: ? (?+0x29) [0x29]
[    49.208] (EE) 
[    49.208] (EE) Segmentation fault at address 0xc3c44
[    49.208] 
Fatal server error:
[    49.208] Caught signal 11 (Segmentation fault). Server aborting
[    49.208] 
[    49.208] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[    49.208] (EE) Please also check the log file at "/tmp/X.log" for additional information.
[    49.208] (EE)
Comment 1 Reartes Guillermo 2013-05-21 08:04:27 EDT
Created attachment 751084 [details]
Comment 2 Reartes Guillermo 2013-05-21 08:04:57 EDT
Created attachment 751085 [details]
Comment 3 Reartes Guillermo 2013-05-21 08:05:27 EDT
Created attachment 751086 [details]
Comment 4 Reartes Guillermo 2013-05-21 08:05:59 EDT
Created attachment 751087 [details]
Comment 5 Reartes Guillermo 2013-05-21 08:41:36 EDT
lspci output:

01:00.0 VGA compatible controller [0300]: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter [1039:6330] (rev 03)

Booting in Basic Video (VESA) is the current workaround, at least for getting F19 installed. (The same situation as F18).
Comment 6 Morgan Howe 2013-08-01 01:40:44 EDT
I had an almost identical bug[1] with the radeon drivers. I pulled and built the latest mesa code from git which seems to resolve the problem.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=984256
Comment 7 Ben Boeckel 2013-08-04 19:22:27 EDT
FWIW, I've seen this (or at least similar; it mentioned OsLookupColor at least) with F19 using `ssh -X` to a remote CentOS5 install and opening qt-config (didn't test if it happened with other programs; I'll point the coworker who hit the bug first here). It was with nouveau.
Comment 8 Fedora End Of Life 2015-01-09 13:10:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 10:17:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.